#include <i3d/image3d.h>


int main(int argc, char **argv) {

	i3d::Image3d<i3d::GRAY16> i("init_3cell_distribution.ics");
	i3d::Image3d<i3d::GRAY16> o;

	o.CopyMetaData(i);
	o.GetVoxelData()=0;

	for (size_t z=0; z < i.GetSizeZ(); z+=1)
	for (size_t y=0; y < i.GetSizeY(); y+=1)
	for (size_t x=0; x < i.GetSizeX(); x+=1) {
		const i3d::GRAY16 v=i.GetVoxel(x,y,z);
		switch (v) {
		case 1:
			o.SetVoxel(x+60,y+60,z,1);
			break;
		case 2:
			o.SetVoxel(x-110,y+30,z,2);
			break;
		case 3:
			o.SetVoxel(x,y-90,z,3);
			break;
		}
	}

	o.SaveImage("init_3cell_distribution2.ics");

	return (0);
}
